apply from: "${rootProject.rootDir}/buildCommon/commonLibConfig.gradle"
project.ext.setLibDefaultConfig project

android {
    buildTypes {
        debug {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
            buildConfigField 'String', 'BASE_URL_CONFIG_PATH', '"baseUrl.properties"'
        }
        release {
            minifyEnabled true
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
            buildConfigField 'String', 'BASE_URL_CONFIG_PATH', '"baseUrl.properties"'
        }
    }
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])

    implementation 'androidx.appcompat:appcompat:1.3.1'
    implementation 'com.google.android.material:material:1.4.0'

    implementation 'androidx.navigation:navigation-fragment-ktx:2.3.5'
    implementation 'androidx.navigation:navigation-ui-ktx:2.3.5'

    implementation(rootProject.ext.dependencies.mmkv)

    // 添加kotlin依赖
    implementation(rootProject.ext.dependencies.kotlin)
    implementation(rootProject.ext.dependencies.kotlin_android)
    // 添加okhttp依赖
    implementation(rootProject.ext.dependencies.okhttp)
    // 添加okhttp日志
    implementation(rootProject.ext.dependencies.okhttp_logger)
    // 添加retrofit依赖
    implementation rootProject.ext.dependencies.retrofit
    // 添加retrofit转化gson能力依赖
    implementation rootProject.ext.dependencies.converter_gson
    // 添加rxjava依赖
    implementation rootProject.ext.dependencies.rxjava
    // 添加rxAndroid依赖
    implementation rootProject.ext.dependencies.rxandroid
    // 添加retrofit和rxjava适配器
    implementation rootProject.ext.dependencies.retrofit_rxjava

    //luban图片压缩
    implementation rootProject.ext.dependencies.luban

    // glide
    implementation rootProject.ext.dependencies.glide
    // glide替换为OkHttp3代理请求
    implementation rootProject.ext.dependencies.gilde_integration
    // glide注解
    kapt rootProject.ext.dependencies.annotationProcessor
}